summaryrefslogtreecommitdiff
path: root/etc
diff options
context:
space:
mode:
authorMarius Bakke <mbakke@fastmail.com>2018-06-11 23:52:15 +0200
committerMarius Bakke <mbakke@fastmail.com>2018-06-11 23:52:15 +0200
commita032b4454b3fc67e11e9fc2d8c2345288065fa29 (patch)
treec208124b79dbd2224b68c52106aa72ff2ebfa7ab /etc
parentb5724230fed2d043206df20d12a45bb962b7ee77 (diff)
parent6321ce42ab4d9ab788d858cb19bde4aa7a0e3ecc (diff)
Merge branch 'master' into staging
Diffstat (limited to 'etc')
-rwxr-xr-xetc/guix-install.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/etc/guix-install.sh b/etc/guix-install.sh
index 78cd7580bb..d9f1955098 100755
--- a/etc/guix-install.sh
+++ b/etc/guix-install.sh
@@ -86,9 +86,7 @@ chk_require()
_debug "--- [ $FUNCNAME ] ---"
for c in ${cmds[@]}; do
- command -v "$c" &>/dev/null
- [ "$?" -eq "1" ] &&
- warn+=("$c")
+ command -v "$c" &>/dev/null || warn+=("$c")
done
[ "${#warn}" -ne 0 ] &&